{
  "name": "who-am-i-game",
  "version": "1.0.0",
  "description": "Multiplayer game online : One of the players chooses a character, an object or an animal that he decides to embody. The other players will have to guess who he is by asking him questions that he can only answer with 'yes' or 'no'",
  "main": "server.js",
  "scripts": {
    "test:unit": "$(npm bin)/jest -c jest-config/jest.config.unit.ts",
    "test:inte": "$(npm bin)/jest -c jest-config/jest.config.inte.ts",
    "test:lint": "$(npm bin)/eslint ./ --ext .ts",
    "build": "$(npm bin)/tsc -p tsconfig.build.json",
    "dev": "$(npm bin)/nodemon",
    "ci:build": "$(npm bin)/tsc -p tsconfig.json",
    "ci:test:lint": "$(npm bin)/eslint ./ --ext .ts  -f html -o outputs/lint-report/index.html",
    "ci:test:unit": "$(npm bin)/jest --ci -c jest-config/jest.config.unit.ts --coverage",
    "ci:test:inte": "$(npm bin)/jest --ci -c jest-config/jest.config.inte.ts"
  },
  "repository": {
    "type": "",
    "url": ""
  },
  "author": "",
  "license": "ISC",
  "bugs": {
    "url": ""
  },
  "homepage": "",
  "dependencies": {
    "body-parser": "^1.20.0",
    "cookie-parser": "^1.4.6",
    "express": "^4.18.1",
    "http-status-codes": "^2.2.0",
    "mongoose": "^6.4.0",
    "socket.io": "^4.5.1"
  },
  "devDependencies": {
    "@types/express": "^4.17.13",
    "@types/jest": "^27.5.2",
    "@types/node": "^17.0.45",
    "@typescript-eslint/eslint-plugin": "^5.29.0",
    "@typescript-eslint/parser": "^5.29.0",
    "eslint": "^8.18.0",
    "eslint-plugin-import": "^2.26.0",
    "jest": "^27.5.1",
    "jest-html-reporter": "^3.5.0",
    "jest-junit": "^13.2.0",
    "nodemon": "^2.0.16",
    "supertest": "^6.2.3",
    "ts-jest": "^27.1.5",
    "ts-node": "^10.8.1",
    "typescript": "^4.7.4"
  }
}
